PharData::offsetUnset
PharData::setDefaultStub
PharData
PHP Manual

# PharData::setAlias

(No version information available, might be only in CVS)

PharData::setAlias — dummy function (Phar::setAlias is not valid for PharData)

### Description

bool PharData::setAlias ( string `$alias` )

Non-executable tar/zip archives cannot have an alias, so this method simply throws an exception.

### Parameters

`alias`

  A shorthand string that this archive can be referred to in phar stream wrapper access. This parameter is ignored.

### Return Values

### Errors/Exceptions

Throws PharException on all method calls

### See Also

- Phar::setAlias()

PharData::offsetUnset
PharData::setDefaultStub
PharData
PHP Manual